#pragma once

#include "AbstractVisualNode.h"

#include "Color.h"

class MaterialNode : public AbstractVisualNode
{
public:
    MaterialNode(const DiscretePoint& location);

    const Color& getFillColor() const;
    const Color& getStrokeColor() const;

    void setFillColor(const Color& color);
    void setStrokeColor(const Color& color);

protected:
    Color mFillColor;
    Color mStrokeColor;
    bool mMaterialIsDirty{true};
};
